Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.l10n
Class ResolvedLocale

    java.lang.Object
      com.bea.netuix.servlets.l10n.ResolvedLocale

All Implemented Interfaces
  Serializable

    public class ResolvedLocale

extends Object
implements Serializable

Encapsulates information about a resolved `Locale`, including the original URI, the resolved URI and the `Locale` object that matches the resolution.

See Also
  Serialized Form

Constructor Summary
`ResolvedLocale()`
`ResolvedLocale(String uri, String resolvedUri, Locale locale)`

Method Summary
`Locale` | `getLocale()`
`String` | `getLocalizedUri()`
`String` | `getOriginalUri()`
`void` | `setLocale(Locale locale)`
`void` | `setLocalizedUri(String uri)`
`void` | `setOriginalUri(String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolvedLocale

    public ResolvedLocale()

### ResolvedLocale

    public ResolvedLocale(String uri,
                          String resolvedUri,
                          Locale locale)

Method Detail

### getOriginalUri

    public String getOriginalUri()

  Returns
    the original unmodified URI to a resource

### setOriginalUri

    public void setOriginalUri(String uri)

### getLocalizedUri

    public String getLocalizedUri()

  Returns
    the URI to the localized version of a resource

### setLocalizedUri

    public void setLocalizedUri(String uri)

### getLocale

    public Locale getLocale()

  Returns
    the `Locale` object matching a localization operation for a resource

### setLocale

    public void setLocale(Locale locale)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.